=== debian/changelog ===
f-irc (1.31-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Mon, 20 Jan 2014 11:30:00 +0100

f-irc (1.30-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri,  1 Jan 2014 11:30:00 +0100

f-irc (1.29-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 27 Dec 2013 11:30:00 +0100

f-irc (1.28-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 20 Dec 2013 23:40:00 +0100

f-irc (1.26-1) unstable; urgency=low

  * Initial release. (Closes: #728776)

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 29 Nov 2013 11:03:06 +0100
