=== debian/watch ===
version=3
http://www.vanheusden.com/f-irc/fi-([0-9].+)\.tgz
