## f-irc 1.36

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # GPLv2 applies
-# SVN revision: $Revision: 783 $
+# SVN revision: $Revision: 865 $
 # (C) 2006-2014 by folkert@vanheusden.com
-VERSION=1.31
+VERSION=1.36
 
 DESTDIR=/usr/local
 SYSCONFDIR=/etc
@@ -14,7 +14,7 @@
 DOCS=firc.conf changelog.gz readme.txt faq.txt
 PACKAGE=fi-$(VERSION).tgz
 
-OBJS=string_array.o main.o theme.o buffer.o channels.o error.o utils.o loop.o term.o tcp.o irc.o user.o names.o config.o dcc.o utf8.o key_value.o wordcloud.o grep_filter.o nickcolor.o chistory.o autocomplete.o checkmail.o servers.o colors.o ansi.o soundex.o ignores.o dictionary.o lf_buffer.o ctcp.o headlines.o help.o scrollback.o #mssl.o
+OBJS=string_array.o main.o theme.o buffer.o channels.o error.o utils.o loop.o term.o tcp.o irc.o user.o names.o config.o dcc.o utf8.o key_value.o wordcloud.o grep_filter.o nickcolor.o chistory.o autocomplete.o checkmail.o servers.o colors.o ansi.o soundex.o ignores.o dictionary.o lf_buffer.o ctcp.o headlines.o help.o scrollback.o
 
 all: f-irc
 
@@ -41,7 +41,7 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 	cp f-irc.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
-deb:
+deb: package
 	rm -rf d
 	mkdir -p d/tmp
 	cp -a $(FILES) debian/ d/tmp
