=== debian/changelog ===
f-irc (1.36-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:22:11 +0000

f-irc (1.36-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:54 +0000

f-irc (1.36-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Sun, 23 Feb 2014 11:30:00 +0100

f-irc (1.35-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Thu, 20 Feb 2014 11:30:00 +0100

f-irc (1.34-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 14 Feb 2014 11:30:00 +0100
